=== debian/changelog ===
htdig (1:3.2.0b6-21) unstable; urgency=medium

  * QA upload.
  * Add debian/gbp.conf for pristine-tar and branch-names.
  * Add Vcs-Git/Vcs-Browser.
  * Update to Standards-Version 4.7.0.
  * Switch to debhelper-compat (= 13).
  * Remove README from htdig-doc, otherwise it conflicts with htdig pkg.
  * Add debian/salsa-ci.yml pipeline.
  * debian/watch: Redirect URL to htdig.sourceforge.net.
  * Replace rmdir by rm -rf to remove empty xmlsearch dirs.
  * Add Homepage to debian/control.
  * Enable SSL support (Closes: #133086, #1040977).
  * homepage-url.patch: Change all homepage-links to
    https://htdig.sourceforge.net, since old homepage no longer exists
    (Closes: #949265).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 30 Aug 2024 14:49:52 +0200

htdig (1:3.2.0b6-20) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1066208).

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 16 Mar 2024 21:46:16 +0500

htdig (1:3.2.0b6-19) unstable; urgency=medium

  * QA Upload.
  * Add debian/patches/gcc-11 by Slávek Banko (Closes: #984180)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 29 Nov 2021 19:27:04 +0100

htdig (1:3.2.0b6-18) unstable; urgency=medium

  * QA Upload.
  * Pass MV=/bin/mv to configure
    - this makes the build reproducible between merged-usr and non-merged.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 01 Dec 2018 19:06:11 +0100

htdig (1:3.2.0b6-17) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with gcc-7.  Closes: #853445.
  * dh 10.
  * Drop redundant build-depends on autoreconf.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 22 Aug 2017 03:47:57 +0200

htdig (1:3.2.0b6-16) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with gcc-6.  Closes: #811738.
  * Add a watch file.
  * Use debhelper 9 (no reworking of debian/rules yet, though).
  * Remove some autoconf files shipped in upstream tarball.
  * Fix a typo in README.Debian.
  * Replace remote-tracking SourceForge logos with a text link.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 04 Aug 2016 07:05:44 +0200

htdig (1:3.2.0b6-15) unstable; urgency=high

  * QA upload
  * Change dependency on perl5 to perl following the removal of
    the former (Closes: #808215)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 17 Dec 2015 11:12:30 +0000

htdig (1:3.2.0b6-14) unstable; urgency=medium

  * QA upload
  * Convert to source format 3.0 (closes: #775965)
  * Add build-dependency on autotools-dev
  * Add patch kfreebsd: fix FTBFS on kfreebsd-*. Thanks to Steven Chamberlain
    for the patch! (closes: #765284)
  * debian/rules: remove the useless Makefiles from the html docs dir, to
    make builds reproducable. Thanks to Chris Lamb for the patch!
    (closes: #793648)

 -- Ralf Treinen <treinen@debian.org>  Mon, 10 Aug 2015 17:23:47 +0200

htdig (1:3.2.0b6-13) unstable; urgency=medium

  * QA upload.
  * Run dh-autoreconf to update config.guess/sub and libtoo.  Closes:
    #744593.
  * Update Brazilian Portuguese debconf templates translation (Adriano Rafael
    Gomes).  Closes: #693376.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 Aug 2014 05:59:08 +0200

htdig (1:3.2.0b6-12) unstable; urgency=low

  * QA upload
  * Add hardened build flags through dpkg-buildflags

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 30 Dec 2011 18:08:23 +0100

htdig (1:3.2.0b6-11) unstable; urgency=low

  * QA upload
  * Fix pending debconf translations:
    - Danish (Joe Hansen).  Closes: #613446
    - Dutch (Jeroen Schot).  Closes: #651830
  * Modernize the package:
    - Add build-arch and build-indep build targets

 -- Christian Perrier <bubulle@sesostris.kheops.frmug.org>  Thu, 29 Dec 2011 22:54:57 +0100

htdig (1:3.2.0b6-10) unstable; urgency=low

  * QA upload.
  * Get rid of unneeded *.la files (Closes: #621608).

 -- Alessio Treglia <alessio@debian.org>  Fri, 03 Jun 2011 11:12:12 +0200

htdig (1:3.2.0b6-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Resolve RC-bug 'dir-or-file-in-var-www'. (Closes: #553540)
    + debian/rules:
      o Use '--with-image-dir=/var/lib/htdig/www'.
      o Use parent option 'mkdir -p' to avoid errors.
    + debian/htdig.install: Exchange 'var/www/htdig' for
        'var/lib/htdig/www'.
    + debian/NEWS: New file documenting the changes caused by FHS.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 19 Jan 2010 16:10:36 +0100

htdig (1:3.2.0b6-9) unstable; urgency=low

  * QA upload.
  * Update config.{sub,guess} files in clean target. (Closes: #535724)
  * Add ${misc:Depends} to all binary packages as we use debhelper.
  * Call dh_makeshlibs before dh_installdeb.
  * Bump Standards-Version to 3.8.2.

 -- Chris Lamb <lamby@debian.org>  Mon, 27 Jul 2009 04:02:56 +0200

htdig (1:3.2.0b6-8) unstable; urgency=low

  * QA upload.
  * Fix pending l10n bugs. Debconf translations
    - Swedish. Closes: #487372

 -- Christian Perrier <bubulle@debian.org>  Tue, 23 Sep 2008 22:23:03 +0200

htdig (1:3.2.0b6-7) unstable; urgency=low

  * QA upload.
  * Fix pending l10n issues
  * Debconf translations:
    - Georgian. Closes: #498311
    - Basque. Closes: #498334
    - Spanish. Closes: #498433

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Sep 2008 16:26:36 +0200

htdig (1:3.2.0b6-6) unstable; urgency=medium

  * QA upload.
  * Bump Standards-Version to 3.7.3. No changes.
  * Clean libhtdigphp/config.{log,status} in debian/rules clean target.
  * Fix "warning: `Use' not defined" manpage error.
  * Rename nested "examples" directory in /usr/share/doc/htdig-doc to "htdoc"
    to avoid confusion.
  * Create {root2word,word2root,synonyms}.db in /var/lib/htdig instead of
    /etc/htdig (Closes: #74523, #475885).
  * Override 'verbose' environment variable when calling htdigconfig in
    postinst to avoid collision with FAI's use of that variable.
    (Closes: #443850, #443866)
  * Reduce cronjob noise:
    - By not printing the output from "kill" (Closes: #406949)

