=== debian/control ===
Source: htdig
Section: web
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), zlib1g-dev, flex, bison, libssl-dev
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/htdig.git
Vcs-Browser: https://salsa.debian.org/debian/htdig
Homepage: https://htdig.sourceforge.net

Package: htdig
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, perl, lockfile-progs, debconf (>= 1.2.9) | debconf-2.0
Suggests: htdig-doc, wwwoffle | httpd
Conflicts: libmifluz0
Description: web search and indexing system - binaries
 The ht://Dig system is a complete web search engine for a small
 domain or intranet. It is not meant to replace the major
 Internet-wide search engines; instead it is meant to cover the search
 needs of a single company, campus, or even a particular subsection of
 a website.
 .
 Features:
  - intranet searching, spanning multiple local web servers;
  - robot exclusion;
  - boolean expression searches;
  - configurable search results;
  - fuzzy searching (various algorithms supported);
  - indexing of HTML and text files;
  - keyword tagging of HTML documents;
  - email notification of expired documents;
  - indexing of protected servers;
  - searches on subsections of the database;
  - limitation of search depth;
  - ISO-Latin-1 character set support.

Package: htdig-doc
Architecture: all
Depends: ${misc:Depends}, perl
Suggests: htdig
Section: doc
Description: web search and indexing system - documentation
 The ht://Dig system is a complete web search engine for a small
 domain or intranet. It is not meant to replace the major
 Internet-wide search engines; instead it is meant to cover the search
 needs of a single company, campus, or even a particular subsection of
 a website.
 .
 This package provides the HTML documentation and examples.
