=== debian/watch ===
version=4
https://htdig.sourceforge.net/where.html \
(?:|.*/)htdig(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
